## org.firebirdsql.encodings
Class Encoding_OneByte

    java.lang.Object
      org.firebirdsql.encodings.Encoding_OneByte

All Implemented Interfaces:
  Encoding

Direct Known Subclasses:
  Encoding_Cp1250, Encoding_Cp1251, Encoding_Cp1252, Encoding_Cp1253, Encoding_Cp1254, Encoding_Cp1255, Encoding_Cp1256, Encoding_Cp1257, Encoding_Cp437, Encoding_Cp737, Encoding_Cp775, Encoding_Cp850, Encoding_Cp852, Encoding_Cp857, Encoding_Cp858, Encoding_Cp860, Encoding_Cp861, Encoding_Cp862, Encoding_Cp863, Encoding_Cp864, Encoding_Cp865, Encoding_Cp866, Encoding_Cp869, Encoding_ISO8859_1, Encoding_ISO8859_13, Encoding_ISO8859_2, Encoding_ISO8859_3, Encoding_ISO8859_4, Encoding_ISO8859_5, Encoding_ISO8859_6, Encoding_ISO8859_7, Encoding_ISO8859_8, Encoding_ISO8859_9

    public abstract class Encoding_OneByte

extends Object
implements Encoding

Constructor Summary
`Encoding_OneByte()`

Method Summary
`String` `decodeFromCharset(byte[] in)`
`abstract int` `decodeFromCharset(byte[] in, int off, int len, char[] out)`
`int` `decodeFromCharset(char[] byteToChar, byte[] in, int off, int len, char[] out)`
`int` `encodeToCharset(byte[] charToByte, char[] in, int off, int len, byte[] out)`
`abstract int` `encodeToCharset(char[] in, int off, int len, byte[] out)`
`byte[]` `encodeToCharset(String str)`
`protected static void` `Initialize(String encoding, char[] byteToChar, byte[] charToByte)`
`protected static void` `Initialize(String encoding, char[] byteToChar, byte[] charToByte, char[] charMapping)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Encoding_OneByte

    public Encoding_OneByte()

Method Detail

### Initialize

    protected static void Initialize(String encoding,
                                     char[] byteToChar,
                                     byte[] charToByte)

### Initialize

    protected static void Initialize(String encoding,
                                     char[] byteToChar,
                                     byte[] charToByte,
                                     char[] charMapping)

### encodeToCharset

    public byte[] encodeToCharset(String str)

  Specified by:
    `encodeToCharset` in interface `Encoding`

### encodeToCharset

    public abstract int encodeToCharset(char[] in,
                                        int off,
                                        int len,
                                        byte[] out)

### encodeToCharset

    public int encodeToCharset(byte[] charToByte,
                               char[] in,
                               int off,
                               int len,
                               byte[] out)

### decodeFromCharset

    public String decodeFromCharset(byte[] in)

  Specified by:
    `decodeFromCharset` in interface `Encoding`

### decodeFromCharset

    public abstract int decodeFromCharset(byte[] in,
                                          int off,
                                          int len,
                                          char[] out)

### decodeFromCharset

    public int decodeFromCharset(char[] byteToChar,
                                 byte[] in,
                                 int off,
                                 int len,
                                 char[] out)

Copyright © 2001-2010. All Rights Reserved.